Overview
GET/project/work-items/{id}/fieldsproject

A work item's field form (every project field ⟕ its stored value)

Fetch a record from fields by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

Field values

  • fieldIdstring
  • keystring
  • labelstring
  • type"text" | "number" | "date" | …
  • valueoptionalany?

    the field's stored value for this item (type matches the field's type); null when unset

Example
[
  {
    "fieldId": "string",
    "key": "string",
    "label": "string",
    "type": "text",
    "value": {}
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/project/work-items/{id}/fields" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/work-items/{id}/fields", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();